// Commands.cpp : implementation file
//

#include "stdafx.h"
#include "AutoSave.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCommands

CCommands::CCommands()
{
	m_pApplication = NULL;
}

CCommands::~CCommands()
{
	ASSERT (m_pApplication != NULL);
	m_pApplication->Release();
}

void CCommands::SetApplicationObject(IApplication* pApplication)
{
	// This function assumes pApplication has already been AddRef'd
	//  for us, which CDSAddIn did in its QueryInterface call
	//  just before it called us.
	m_pApplication = pApplication;
}


/////////////////////////////////////////////////////////////////////////////
// CCommands methods

STDMETHODIMP CCommands::AutoSaveCommandMethod() 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	// VERIFY_OK shows error strings in DEBUG builds of the add-in (stdafx.h)
	VERIFY_OK(m_pApplication->EnableModeless(VARIANT_FALSE));

	// Open the auto save dialog box and get new timer arguments
	AutoSaveDlg dlg;
	dlg.DoModal();

	VERIFY_OK(m_pApplication->EnableModeless(VARIANT_TRUE));
	return S_OK;
}
