// Commands.h : header file
//

#if !defined(AFX_COMMANDS_H__4C7BAB89_1262_11D3_AF18_52544C099BAF__INCLUDED_)
#define AFX_COMMANDS_H__4C7BAB89_1262_11D3_AF18_52544C099BAF__INCLUDED_

#include "AutoSaveTypes.h"

class CCommands : 
	public CComDualImpl<ICommands, &IID_ICommands, &LIBID_AutoSave>, 
	public CComObjectRoot,
	public CComCoClass<CCommands, &CLSID_Commands>
{
protected:
	IApplication* m_pApplication;

public:
	CCommands();
	~CCommands();
	void SetApplicationObject(IApplication* m_pApplication);

	BEGIN_COM_MAP(CCommands)
		COM_INTERFACE_ENTRY(IDispatch)
		COM_INTERFACE_ENTRY(ICommands)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CCommands)

public:
// ICommands methods
	STDMETHOD(AutoSaveCommandMethod)(THIS);
};

typedef CComObject<CCommands> CCommandsObj;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDS_H__4C7BAB89_1262_11D3_AF18_52544C099BAF__INCLUDED)
