// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__4C7BAB87_1262_11D3_AF18_52544C099BAF__INCLUDED_)
#define AFX_DSADDIN_H__4C7BAB87_1262_11D3_AF18_52544C099BAF__INCLUDED_

#include "commands.h"

// {4C7BAB74-1262-11D3-AF18-52544C099BAF}
DEFINE_GUID(CLSID_DSAddIn,
0x4c7bab74, 0x1262, 0x11d3, 0xaf, 0x18, 0x52, 0x54, 0x4c, 0x9, 0x9b, 0xaf);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "AutoSave.DSAddIn.1",
		"AUTOSAVE Developer Studio Add-in", IDS_AUTOSAVE_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__4C7BAB87_1262_11D3_AF18_52544C099BAF__INCLUDED)
