#if !defined(AFX_TIMERWINDOW_H__E490A5A4_E2BA_11D2_AEFB_52544C099BAF__INCLUDED_)
#define AFX_TIMERWINDOW_H__E490A5A4_E2BA_11D2_AEFB_52544C099BAF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimerWindow.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// TimerWindow window

class TimerWindow : public CFrameWnd
{
public:
	TimerWindow();
	virtual ~TimerWindow();

	bool  getSaveFiles()						{return m_saveFiles;}
	void  setSaveFiles(bool enable);
	bool  getSaveWorkspace()					{return m_saveWorkspace;}
	void  setSaveWorkspace(bool enable);
	bool  getProtectIntellisense()				{return m_protectIntellisense;}
	void  setProtectIntellisense(bool enable);
	DWORD getPeriod()							{return m_period;}
	void  setPeriod(DWORD period);

	void  setApplication(IApplication *app)		{m_pApplication = app;}

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TimerWindow)
	//}}AFX_VIRTUAL

protected:
	bool m_saveFiles;
	bool m_saveWorkspace;
	bool m_protectIntellisense;
	UINT m_period;
	UINT m_timer;
	IApplication *m_pApplication;

	// Generated message map functions
protected:
	void SaveParameters();
	void ParameterChanged();
	//{{AFX_MSG(TimerWindow)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMERWINDOW_H__E490A5A4_E2BA_11D2_AEFB_52544C099BAF__INCLUDED_)
